- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
BcpsConstraint Class Reference

`#include <BcpsObject.h>`

Inheritance diagram for BcpsConstraint:
[legend]
Collaboration diagram for BcpsConstraint:
[legend]

## Public Member Functions
| BcpsConstraint ()
| Default constructor. More...
| BcpsConstraint (double lbh, double ubh, double lbs, double ubs)
| Useful constructor. More...
virtual | ~BcpsConstraint ()
| Desctructor constructor. More...
| BcpsConstraint (const BcpsConstraint &rhs)
| Copy constructor. More...
virtual BcpsObject_t | getObjType () const
Public Member Functions inherited from BcpsObject
| BcpsObject ()
| BcpsObject (double lbh, double ubh, double lbs, double ubs)
virtual | ~BcpsObject ()
| BcpsObject (const BcpsObject &rhs)
| Copy constructor. More...
BcpsObject & | operator= (const BcpsObject &rhs)
| Assignment operator. More...
virtual BcpsObject * | clone () const
| Clone an enity. More...
virtual double | infeasibility (BcpsModel *m, int &preferredWay) const
| Infeasibility of the object This is some measure of the infeasibility of the object. More...
virtual void | feasibleRegion (BcpsModel *m)
| Look at the current solution and set bounds to match the solution. More...
virtual BcpsBranchObject * | createBranchObject (BcpsModel *m, int way) const
| Create a branching object and indicate which way to branch first. More...
virtual BcpsBranchObject * | preferredNewFeasible (BcpsModel *m) const
| Given a valid solution (with reduced costs, etc.), return a branching object which would give a new feasible point in a good direction. More...
virtual BcpsBranchObject * | notPreferredNewFeasible (BcpsModel *m) const
| Given a valid solution (with reduced costs, etc.), return a branching object which would give a new feasible point in a bad direction. More...
virtual void | resetBounds (BcpsModel *m)
| Reset variable bounds to their original values. More...
virtual bool | boundBranch (BcpsModel *m) const
| Return true if branches created by object will modify variable bounds. More...
virtual void | floorCeiling (double &floorValue, double &ceilingValue, double value, double tolerance) const
| Returns floor and ceiling i.e. More...
virtual double | upEstimate () const
| Return "up" estimate. More...
virtual double | downEstimate () const
| Return "down" estimate. More...
virtual void | printDesc ()
virtual AlpsReturnStatus | encode (AlpsEncoded *encoded)
| Pack into a encode object. More...
virtual AlpsKnowledge * | decode (AlpsEncoded &encoded) const
| Decode a constraint from an encoded object. More...
int | getObjectIndex () const
| Return the value of the appropriate field. More...
BcpsObjRep_t | getRepType () const
| Return the value of the appropriate field. More...
BcpsIntegral_t | getIntType () const
| Return the value of the appropriate field. More...
BcpsValidRegion | getValidRegion () const
| Return the value of the appropriate field. More...
int | getStatus () const
| Return the value of the appropriate field. More...
double | getLbHard () const
| Return the value of the appropriate field. More...
double | getUbHard () const
| Return the value of the appropriate field. More...
double | getLbSoft () const
| Return the value of the appropriate field. More...
double | getUbSoft () const
| Return the value of the appropriate field. More...
int | getNumInactive () const
| Return the value of the appropriate field. More...
double | getEffectiveness () const
| Return the value of the appropriate field. More...
void | setObjectIndex (int ind)
| Set the appropriate property. More...
void | setRepType (BcpsObjRep_t rt)
| Set the appropriate property. More...
void | setIntType (BcpsIntegral_t it)
| Set the appropriate property. More...
void | setValidRegion (BcpsValidRegion val)
| Set the appropriate property. More...
void | setStatus (int st)
| Set the appropriate property. More...
void | setLbHard (double lb)
| Set the appropriate property. More...
void | setUbHard (double ub)
| Set the appropriate property. More...
void | setLbSoft (double lb)
| Set the appropriate property. More...
void | setUbSoft (double ub)
| Set the appropriate property. More...
void | setNumInactive (int num)
| Set the appropriate property. More...
void | setEffectiveness (double eff)
| Set the appropriate property. More...
virtual void | hashing (BcpsModel *model=NULL)
| Hashing. More...
double | hashValue () const
| Hashing. More...
Public Member Functions inherited from AlpsKnowledge
| AlpsKnowledge ()
virtual | ~AlpsKnowledge ()
KnowledgeType | getType ()
void | setType (KnowledgeType t)
virtual AlpsEncoded * | encode () const
| This method should encode the content of the object and return a pointer to the encoded form. More...
AlpsEncoded * | getEncoded () const
| Get/set encoded. More...
void | setEncoded (AlpsEncoded *e)

## Additional Inherited Members
Protected Member Functions inherited from BcpsObject
AlpsReturnStatus | encodeBcpsObject (AlpsEncoded *encoded) const
| Pack Bcps part to a encode object. More...
AlpsReturnStatus | decodeBcpsObject (AlpsEncoded &encoded)
| Unpack Bcps part from a encode object. More...
Protected Attributes inherited from BcpsObject
int | objectIndex_
| Global index of this object. More...
BcpsObjRep_t | repType_
| Core, indexed, or algorithmic. More...
BcpsIntegral_t | intType_
| The integrality type of the object, i.e., what values it can take up between the specified bounds. More...
BcpsValidRegion | validRegion_
| Valid in the whole tree or only the subtree rooted at the node that generate this object. More...
int | status_
| The status of the object. More...
double | lbHard_
| The lower bound of the object when it was first created. More...
double | ubHard_
| The upper bound of the object when it was first created. More...
double | lbSoft_
| The current lower bound of the object. More...
double | ubSoft_
| The current upper bound of the object. More...
double | hashValue_
| The hash value of this object. More...
int | numInactive_
| Number of inactive when in formulation. More...
double | effectiveness_
| Effectiveness: nonnegative value. More...
Protected Attributes inherited from AlpsKnowledge
KnowledgeType | type_

## Detailed Description

Definition at line 355 of file BcpsObject.h.

## Constructor & Destructor Documentation

BcpsConstraint::BcpsConstraint | ( |  | ) |
| inline

Default constructor.

Definition at line 359 of file BcpsObject.h.

BcpsConstraint::BcpsConstraint | ( | double | lbh,
|  | double | ubh,
|  | double | lbs,
|  | double | ubs
| ) |  |
| inline

Useful constructor.

Definition at line 362 of file BcpsObject.h.

virtual BcpsConstraint::~BcpsConstraint | ( |  | ) |
| inline virtual

Desctructor constructor.

Definition at line 368 of file BcpsObject.h.

BcpsConstraint::BcpsConstraint | ( | const BcpsConstraint & | rhs | ) |
| inline

Copy constructor.

Definition at line 371 of file BcpsObject.h.

## Member Function Documentation

virtual BcpsObject_t BcpsConstraint::getObjType | ( |  | ) | const
| inline virtual

Definition at line 376 of file BcpsObject.h.

The documentation for this class was generated from the following file:

- /tmp/CHiPPS-Blis-0.94.3/Bcps/src/BcpsObject.h